using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication9
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            string[] s;
            double[] A = new double[N];
            double[] P = new double[N];
            double[] x = new double[N];
            double[] z = new double[N];
            double[] cene = new double[N];
            int brojac = 0;
            double zu = 0;
            double z0 = 0;
            double max = double.MinValue;
            for (int i = 0; i < N; i++)
            {
                s = Console.ReadLine().Split();
                A[i] = int.Parse(s[0]);
                P[i] = double.Parse(s[1]);
                x[i] = P[i];
                zu = zu + A[i];
            }
            Array.Sort(P);
            for (int i = 0; i < N; i++)
            {
                for (int j = 0; j < N; j++)
                {
                    if (P[i] == x[j])
                    {
                        if (P[i] == 0)
                        {
                            brojac = brojac + 1;
                            z0 = z0 + A[j];
                        }
                        else
                        {
                            z[i] = A[j];
                        }
                    }
                }
            }
            double zs = 0;
            if (brojac == 0)
            {
                zs = zu;
            }
            else if (brojac == 1)
            {
                zs = zu - z0;
            }
            else
            {
                zs = zu - z0 / Math.Sqrt(brojac);
            }
            for (int i = 0; i < N; i++)
            {
                if (P[i] != 0)
                {
                    cene[i] = (zs * P[i]) / 100;
                    zs = zs - z[i];
                }
                else
                {
                }
            }
            for (int i = 0; i < N; i++)
            {
                if (cene[i] > max)
                {
                    max = cene[i];
                }
            }
            Console.WriteLine(max);
        }
    }
}